Bug 30424 - Reindent advanced search template in the staff interface
Summary: Reindent advanced search template in the staff interface
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 30433
  Show dependency treegraph
 
Reported: 2022-03-31 18:23 UTC by Owen Leonard
Modified: 2022-05-13 15:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30424: Reindent advanced search template in the staff interface (35.62 KB, patch)
2022-04-01 13:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30424: (follow-up) Markup comments (10.72 KB, patch)
2022-04-01 13:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30424: Reindent advanced search template in the staff interface (35.77 KB, patch)
2022-04-04 13:39 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30424: (follow-up) Markup comments (10.87 KB, patch)
2022-04-04 13:39 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30424: Reindent advanced search template in the staff interface (35.83 KB, patch)
2022-04-24 12:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30424: (follow-up) Markup comments (10.93 KB, patch)
2022-04-24 12:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-03-31 18:23:32 UTC
I would like reformat the advanced search template so that it has consistent spacing and indentation.
Comment 1 Owen Leonard 2022-04-01 13:00:06 UTC
Created attachment 132865 [details] [review]
Bug 30424: Reindent advanced search template in the staff interface

This patch reindents the advanced search template. Some lines have been
split to make the markup more readable.

To test, apply the patch and test the advanced search page in the staff
interface. Everything should work as normal. Be sure to test both the
"More options" and "Fewer options" views.

When viewing the diff for this change, ignore whitespace. The only
visible changes should be split lines.
Comment 2 Owen Leonard 2022-04-01 13:00:10 UTC
Created attachment 132866 [details] [review]
Bug 30424: (follow-up) Markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.
Comment 3 Séverine Queune 2022-04-04 13:39:10 UTC
Created attachment 132939 [details] [review]
Bug 30424: Reindent advanced search template in the staff interface

This patch reindents the advanced search template. Some lines have been
split to make the markup more readable.

To test, apply the patch and test the advanced search page in the staff
interface. Everything should work as normal. Be sure to test both the
"More options" and "Fewer options" views.

When viewing the diff for this change, ignore whitespace. The only
visible changes should be split lines.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Séverine Queune 2022-04-04 13:39:14 UTC
Created attachment 132940 [details] [review]
Bug 30424: (follow-up) Markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2022-04-04 13:45:39 UTC
Nice re-indentation Owen !
Everything seemed ok for me using the patch.
Comment 6 Katrin Fischer 2022-04-24 12:36:09 UTC
Created attachment 133715 [details] [review]
Bug 30424: Reindent advanced search template in the staff interface

This patch reindents the advanced search template. Some lines have been
split to make the markup more readable.

To test, apply the patch and test the advanced search page in the staff
interface. Everything should work as normal. Be sure to test both the
"More options" and "Fewer options" views.

When viewing the diff for this change, ignore whitespace. The only
visible changes should be split lines.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2022-04-24 12:36:13 UTC
Created attachment 133716 [details] [review]
Bug 30424: (follow-up) Markup comments

This patch adds comments to the template to highlight the markup
structure.

This patch should have no effect on the page's appearance or
functionality.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Fridolin Somers 2022-05-02 21:24:33 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄